Create communication group
curl --request POST \
--url https://api.creditor.younegotiate.com/communications/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Delivered January Group",
"subclient_id": "master",
"file_upload_history_id": "all",
"consumer_state": "not_viewed_offer",
"custom_rules": {
"placement_date": {
"start_date": "2026-01-01",
"end_date": "2026-01-31"
}
}
}
'import requests
url = "https://api.creditor.younegotiate.com/communications/groups"
payload = {
"name": "Delivered January Group",
"subclient_id": "master",
"file_upload_history_id": "all",
"consumer_state": "not_viewed_offer",
"custom_rules": { "placement_date": {
"start_date": "2026-01-01",
"end_date": "2026-01-31"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Delivered January Group',
subclient_id: 'master',
file_upload_history_id: 'all',
consumer_state: 'not_viewed_offer',
custom_rules: {placement_date: {start_date: '2026-01-01', end_date: '2026-01-31'}}
})
};
fetch('https://api.creditor.younegotiate.com/communications/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Group updated.",
"data": {
"id": 123,
"subclient_id": 123,
"file_upload_history_id": 123,
"name": "Delivered January Group",
"consumer_state": {
"label": "Delivered"
},
"apply_to": {
"value": 123,
"label": "Master"
},
"custom_rules": [
{
"label": "Placement Date",
"display_value": "Start Date is Jan 01, 2026 and End Date: Jan 31, 2026",
"data": {
"start_date": "2026-01-01",
"end_date": "2026-01-31"
}
}
],
"created_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>",
"errors": {}
}Create communication group
Create a creditor communication group. Creation fails when the selected criteria do not match any consumers, matching current portal behavior.
POST
/
communications
/
groups
Create communication group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
255Example:
"Delivered January Group"
Available options:
all_active, not_viewed_offer, expired_negotiation, viewed_offer_but_no_response, open_negotiations, not_responded_to_counter_offer, negotiated_payoff_but_pending_payment, negotiated_plan_but_pending_payment, failed_or_skip_more_than_two_payments_consecutively, reported_not_paying, disputed, notice_response_added, notice_response_returned master or null targets master accounts. Sub-account creditor users are forced to their assigned sub-account.
all or null targets all active accounts; an integer targets one completed import file.
Show child attributes
Show child attributes
Last modified on July 20, 2026
Was this page helpful?
⌘I

